FUNCTION ABSDATE (DATE_IN: REAL): REAL;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   WILL CONVERT A DATE YYYYMMDD TO AN ABSOLUTE NUMBER FOR          *)
(*   COMPARISON PURPOSES                                             *)
(*                                                                   *)
(*********************************************************************)
VAR A_YEAR:                       REAL;
VAR A_MONTH:                      REAL;
VAR A_DAY:                        REAL;
BEGIN

    A_YEAR := YEAR (DATE_IN);
    A_MONTH := MONTH (DATE_IN);
    A_DAY := DAY (DATE_IN);
    ABSDATE := (A_YEAR * 365) + ((A_MONTH - 1) * 30) + (A_DAY - 1);
    END;

