FUNCTION ALPHANUM (INSTRING: STRING255): STRING255;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   WILL STRIP OUT ALL NON-ALPHANUMERIC CHARACTERS FROM A STRING    *)
(*   WHEN PASSED "ABC#$%123", WILL RETURN "ABC123"                   *)
(*                                                                   *)
(*********************************************************************)
VAR OUTSTRING:                   STRING255;
VAR TEMP_INDEX:                  INTEGER;
VAR SELECT:                      BOOLEAN;
BEGIN

    OUTSTRING := '';
    TEMP_INDEX := 1;
    WHILE TEMP_INDEX < LENGTH (INSTRING) + 1 DO BEGIN

        SELECT := FALSE;
        IF (COPY (INSTRING, TEMP_INDEX, 1) >= '0')
            AND (COPY (INSTRING, TEMP_INDEX, 1) <= '9') THEN SELECT := TRUE
        ELSE IF (UPCASE (COPY (INSTRING, TEMP_INDEX, 1)) >= 'A')
            AND (UPCASE (COPY (INSTRING, TEMP_INDEX, 1)) <= 'Z') THEN SELECT := TRUE;
        IF SELECT THEN BEGIN

            OUTSTRING := OUTSTRING + COPY (INSTRING, TEMP_INDEX, 1);
            END;

        TEMP_INDEX := TEMP_INDEX + 1;
        END;

    ALPHANUM := OUTSTRING;
    END;


