PROCEDURE ANSFORE (COLOR: INTEGER);
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*  ANSI COLOR CODES PRECEDED BY ESCAPE CHAR AND LEFT BRACKET        *)
(*  THEN ONE OR MORE NUMERIC VALUES SEPERATED BY SEMICOLONS          *)
(*  AND TERMINATED BY A LOWER CASE "M".                              *)
(*                                                                   *)
(*  COLOR CODES                                                      *)
(*                                                                   *)
(*  0 = DIM                                                          *)
(*  1 = BRIGHT                                                       *)
(*  5 = BLINK                                                        *)
(*  3X = FOREGROUND COLOR                                            *)
(*  4X = BACKGROUND COLOR                                            *)
(*  X0 = BLACK                                                       *)
(*  X1 = RED                                                         *)
(*  X2 = GREEN                                                       *)
(*  X3 = BROWN                                                       *)
(*  X4 = BLUE                                                        *)
(*  X5 = VIOLET                                                      *)
(*  X6 = CYAN                                                        *)
(*  X7 = WHITE                                                       *)
(*                                                                   *)
(*  OTHER ANSI COMMANDS ARE A CAPITAL "J" TO CLEAR THE               *)
(*  SCREEN                                                           *)
(*                                                                   *)
(*  I HAVE DISCERNED THESE BY TRIAL AND ERROR, THERE MAY BE          *)
(*  OTHER CODES WHICH DO OTHER NIFTY THINGS, BUT I DO NOT            *)
(*  HAVE THE PATIENCE TO SEARCH THEM OUT.  I SUSPECT ANSI CAN        *)
(*  ALSO BE USED TO TRANSMIT MUSIC AS WELL.  I EVEN BOUGHT           *)
(*  ONE OF THOSE NORTON BOOKS, "INSIDE THE IBM PC", BUT THE          *)
(*  ONLY THING HE SAYS ABOUT ANSI IS THAT IT IS TOO SLOW AND         *)
(*  NOT TO USE IT...                                                 *)
(*                                                                   *)
(*********************************************************************)
VAR S:                        STRING255;
BEGIN

    IF REMOTE AND ANSI THEN BEGIN

        STR (COLOR:1, S);
        ASYNC_SEND (#27 + '[1;3' + S + 'm');
        END;

    END;

