FUNCTION ASK_DATE (QUESTION: STRING255): REAL;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*    PROMPT THE USER TO ENTER A DATE                                *)
(*    THE EXTERNAL CHARACTER FORMAT OF A DATE IS "YYYY/MM/DD"        *)
(*    THE INTERNAL REAL FORMAT OF A DATE IS YYYYMMDD.0               *)
(*                                                                   *)
(*********************************************************************)
VAR RESPONSE:                            STRING [10];
VAR HOLD_DATE:                           REAL;
BEGIN

    HOLD_DATE := 0;
    RESPONSE := '';
    WHILE (LENGTH (RESPONSE) = 0) DO BEGIN

        WHILE (LENGTH (RESPONSE) = 0) DO BEGIN

            PUTSTRING (SQUISH (QUESTION) + ' ');
            RESPONSE := STUPCASE (DBLANK (GETSTRING (10, '')));
            PUTSTRING (CR);
            END;

        IF VALDATE (RESPONSE) THEN BEGIN

            HOLD_DATE := STRDATE (RESPONSE);
            END

        ELSE BEGIN

            PUTSTRING ('Date must be of format YYYY/MM/DD!' + CR);
            RESPONSE := '';
            END;

        END;

    ASK_DATE := HOLD_DATE;
    END;

