FUNCTION ASK_INTEGER (QUESTION: STRING255; LOW, HIGH: REAL): INTEGER;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   PROMPT THE USER TO ENTER AN INTEGER BETWEEN THE SPECIFIED       *)
(*   BOUNDS                                                          *)
(*                                                                   *)
(*********************************************************************)
VAR RESPONSE:                                                STRING [8];
VAR HOLD_INTEGER:                                            INTEGER;
BEGIN

    HOLD_INTEGER := 0;
    RESPONSE := '';
    WHILE (LENGTH (RESPONSE) = 0) DO BEGIN

        WHILE (LENGTH (RESPONSE) = 0) DO BEGIN

            PUTSTRING (SQUISH (QUESTION) + ' ');
            RESPONSE := STUPCASE (DBLANK (GETSTRING (8, '')));
            PUTSTRING (CR);
            END;

        IF NUMERINT (RESPONSE) THEN BEGIN

            HOLD_INTEGER := TRUNC (STRNUM (RESPONSE));
            IF HOLD_INTEGER < LOW THEN BEGIN

                PUTSTRING ('Response must be greater than or equal to ' + FORMAT (NUMSTR (LOW)) + '!' + CR);
                RESPONSE := '';
                END

            ELSE IF HOLD_INTEGER > HIGH THEN BEGIN

                PUTSTRING ('Response must be less than or equal to ' + FORMAT (NUMSTR (HIGH)) + '!' + CR);
                RESPONSE := '';
                END

            END

        ELSE BEGIN

            PUTSTRING ('Response must be an integer!' + CR);
            RESPONSE := '';
            END;

        END;

    ASK_INTEGER := HOLD_INTEGER;
    END;

