(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   DEFINITION OF THE CONFIG RECORD                                 *)
(*                                                                   *)
(*********************************************************************)
CONST CONFIGNAME = 'CONFIG';
TYPE CONFIG_REC = RECORD

    TURNS:                    INTEGER;
    SESSIONS:                 INTEGER;
    MINUTES:                  INTEGER;
    SNOOP:                    BOOLEAN;
    INDEX:                    INTEGER;
    END;

VAR CONFIG:                   CONFIG_REC;
VAR EDIT_CONFIG:              CONFIG_REC;
VAR CONFIG_FILE:              FILE OF CONFIG_REC;
VAR CONFIG_INDEX:             INTEGER;
VAR CONFIG_SIZE:              INTEGER;

