FUNCTION CLOCK (TIME_IN: REAL): REAL;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   CONVERT RAW TIME (SECONDS SINCE LAST MIDNIGHT) TO A REAL        *)
(*   NUMBER CONTAINING TIME IN FORMAT HHMMSS.0                       *)
(*                                                                   *)
(*********************************************************************)
VAR HOURS:                      REAL;
VAR MINUTES:                    REAL;
VAR SECONDS:                    REAL;
VAR TEMP:                       REAL;
BEGIN

    HOURS := TRUNC (TIME_IN / 3600);
    MINUTES := TRUNC ((TIME_IN - (HOURS * 3600.0)) / 60.0);
    SECONDS := TRUNC (TIME_IN - (HOURS * 3600.0) - (MINUTES * 60.0));
    TEMP := (HOURS * 10000.0) + (MINUTES * 100.0) + (SECONDS);
    CLOCK := TEMP;
    END;

