FUNCTION DATESTR (DATE_IN: REAL): STRING255;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   CONVERT DATE IN REAL FORMAT YYYYMMDD.0 TO STRING FORMAT         *)
(*   DATE "YYYY/MM/DD"                                               *)
(*                                                                   *)
(*********************************************************************)
VAR YEAR:                         INTEGER;
VAR MONTH:                        INTEGER;
VAR DAY:                          INTEGER;
BEGIN

    YEAR := TRUNC (DATE_IN / 10000.0);
    MONTH := TRUNC ((DATE_IN / 100.0) - (YEAR * 100.0));
    DAY := TRUNC (DATE_IN - (YEAR * 10000.0) - (MONTH * 100.0));
    DATESTR := FORMAT (NUMSTR (YEAR)) + '/' + FORMAT (NUMSTR (MONTH)) + '/' + FORMAT (NUMSTR (DAY));
    END;

