FUNCTION DAY (DATE_IN: REAL): INTEGER;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*    RETURN DAY OF MONTH FROM DATE FORMAT YYYYMMDD.0                *)
(*                                                                   *)
(*********************************************************************)
VAR YEAR:                     INTEGER;
VAR MONTH:                    INTEGER;
BEGIN

    YEAR := TRUNC (DATE_IN / 10000.0);
    MONTH := TRUNC ((DATE_IN / 100.0) - (YEAR * 100.0));
    DAY := TRUNC (DATE_IN - (YEAR * 10000.0) - (MONTH * 100.0));
    END;


