FUNCTION DBLANK (INSTRING: STRING255): STRING255;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   EXTRACT ALL BLANKS FROM A STRING SQUEEZING TEXT TOGETHER        *)
(*                                                                   *)
(*********************************************************************)
VAR I:                       INTEGER;
VAR BLANKFLAG:               BOOLEAN;
BEGIN

    IF LENGTH (INSTRING) > 0 THEN BEGIN

        WHILE POS (' ', INSTRING ) > 0 DO BEGIN

            I := POS (' ', INSTRING );
            INSTRING := COPY (INSTRING, 1, I - 1) + COPY (INSTRING, I + 1, LENGTH (INSTRING));
            END;

        END;

    DBLANK := INSTRING;
    END;

