FUNCTION DEF_CONFIG: INTEGER;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   OPEN THE CONFIG FILE, CREATE IT IF IT DOES NOT EXIST            *)
(*                                                                   *)
(*********************************************************************)
VAR FILE_STATUS:  INTEGER;
VAR FILENAME:     STRING [255];
BEGIN

    {$I-}
    FILENAME := CONFIGNAME;
    ASSIGN (CONFIG_FILE, FILENAME);
    RESET (CONFIG_FILE);
    FILE_STATUS := IORESULT;
    IF FILE_STATUS = 0 THEN BEGIN

        CLOSE (CONFIG_FILE);
        FILE_STATUS := IORESULT;
        END

    ELSE IF FILE_STATUS = 1 THEN BEGIN

        REWRITE (CONFIG_FILE);
        FILE_STATUS := IORESULT;
        IF FILE_STATUS = 0 THEN BEGIN

            CLOSE (CONFIG_FILE);
            FILE_STATUS := IORESULT;
            IF FILE_STATUS = 0 THEN BEGIN

                CLEAR_CONFIG;
                FILE_STATUS := PUT_CONFIG (0);
                END;

            END;

        END;

    DEF_CONFIG := FILE_STATUS;
    {$I+}
    END;

