FUNCTION DEF_PLAYER: INTEGER;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   OPEN THE PLAYER FILE, CREATE IT IF IT DOES NOT EXIST            *)
(*                                                                   *)
(*********************************************************************)
VAR FILE_STATUS:  INTEGER;
BEGIN

    {$I-}
    FILENAME := PLAYERNAME;
    ASSIGN (PLAYER_FILE, FILENAME);
    RESET (PLAYER_FILE);
    FILE_STATUS := IORESULT;
    IF FILE_STATUS = 0 THEN BEGIN

        CLOSE (PLAYER_FILE);
        FILE_STATUS := IORESULT;
        END

    ELSE IF FILE_STATUS = 1 THEN BEGIN

        REWRITE (PLAYER_FILE);
        FILE_STATUS := IORESULT;
        IF FILE_STATUS = 0 THEN BEGIN

            CLOSE (PLAYER_FILE);
            FILE_STATUS := IORESULT;
            IF FILE_STATUS = 0 THEN BEGIN

                CLEAR_PLAYER;
                FILE_STATUS := PUT_PLAYER (0);
                END;

            END;

        END;

    DEF_PLAYER := FILE_STATUS;
    {$I+}
    END;

