FUNCTION FORMAT (S: STRING255): STRING255;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   REMOVE ALL LEADING SPACES/ZEROES AND ALL TRAILING FRACTION      *)
(*   SPACES/ZEROES FROM A TEXT FORMAT NUMBER                         *)
(*                                                                   *)
(*********************************************************************)
VAR N:                          STRING [1];
VAR LOOPING:                    BOOLEAN;
BEGIN

    LOOPING := TRUE;
    WHILE (LENGTH (S) > 0) AND (LOOPING) DO BEGIN

        IF S [1] = ' ' THEN S := COPY (S, 2, LENGTH (S) - 1)
        ELSE LOOPING := FALSE;
        END;

    IF LENGTH (S) > 0 THEN BEGIN

        N := '';
        IF (S [1] = '+') OR (S [1] = '-') THEN BEGIN

            N := S [1];
            S := COPY (S, 2, LENGTH (S) - 1);
            END;

        END;

    LOOPING := TRUE;
    WHILE (LENGTH (S) > 1) AND (LOOPING) DO BEGIN

        IF S [1] = '0' THEN S := COPY (S, 2, LENGTH (S) - 1)
        ELSE LOOPING := FALSE;
        END;

    IF LENGTH (S) > 0 THEN IF S [1] = '.' THEN S := '0' + S;
    LOOPING := TRUE;
    WHILE (LENGTH (S) > 0) AND (LOOPING) DO BEGIN

        IF S [LENGTH (S)] = ' ' THEN S := COPY (S, 1, LENGTH (S) - 1)
        ELSE LOOPING := FALSE;
        END;

    IF POS ('.', S) > 0 THEN BEGIN

        LOOPING := TRUE;
        WHILE (LENGTH (S) > 0) AND (LOOPING) DO BEGIN

            IF S [LENGTH (S)] = '0' THEN S := COPY (S, 1, LENGTH (S) - 1)
            ELSE LOOPING := FALSE;
            END;

        END;

    IF LENGTH (S) > 0 THEN IF S [LENGTH (S)] = '.' THEN S := COPY (S, 1, LENGTH (S) - 1);
    FORMAT := N + S;
    END;

