PROGRAM FREENODE;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   THIS PROGRAM IS A UTILITY TO RELEASE ALL LOCKED SEMAPHORES      *)
(*                                                                   *)
(*   DO NOT RUN UNLESS NO ONE IS PLAYING THE GAME ON ANY NODE!       *)
(*                                                                   *)
(*********************************************************************)
{$I TYPES.INC}
{$I LOCKREC.INC}
{$I FORMAT.INC}
{$I NUMSTR.INC}
VAR NODE:                          INTEGER;
VAR HANGS:                         INTEGER;
VAR TESTNODE:                      INTEGER;
VAR FILE_RESULT:                   INTEGER;
VAR OKAY:                          BOOLEAN;
BEGIN

    HANGS := 0;
    FOR TESTNODE := 0 TO 4 DO BEGIN

        ASSIGN (LOCK_FILE, 'LOCK' + FORMAT (NUMSTR (TESTNODE)));
        {$I-}
        RESET (LOCK_FILE);
        FILE_RESULT := IORESULT;
        {$I+}
        IF FILE_RESULT = 0 THEN BEGIN

            SEEK (LOCK_FILE, 0);
            READ (LOCK_FILE, LOCK);
            IF LOCK.INUSE THEN BEGIN

                HANGS := HANGS + 1;
                WRITELN ('NODE ', TESTNODE, ' WAS HUNG AND HAS BEEN FREED!');
                LOCK.INUSE := FALSE;
                SEEK (LOCK_FILE, 0);
                WRITE (LOCK_FILE, LOCK);
                END;

            END;

        {$I-}
        CLOSE (LOCK_FILE);
        FILE_RESULT := IORESULT;
        {$I+}
        END;

    IF HANGS = 0 THEN WRITELN ('NO NODES ARE HUNG!');
    END.

