FUNCTION GET_PLAYER (FILE_KEY: INTEGER): INTEGER;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   READ A PLAYER RECORD FROM THE PLAYER FILE                       *)
(*                                                                   *)
(*********************************************************************)
VAR FILE_STATUS: INTEGER;
VAR I: INTEGER;
BEGIN

    FILENAME := PLAYERNAME;
    {$I-}
    RESET (PLAYER_FILE);
    FILE_STATUS := IORESULT;
    IF FILE_STATUS = 0 THEN BEGIN

        PLAYER_SIZE := FILESIZE (PLAYER_FILE);
        IF FILE_KEY >= PLAYER_SIZE THEN FILE_STATUS := 6
        ELSE BEGIN

            SEEK (PLAYER_FILE, FILE_KEY);
            FILE_STATUS := IORESULT;
            IF FILE_STATUS = 0 THEN BEGIN

                READ (PLAYER_FILE, PLAYER);
                FILE_STATUS := IORESULT;
                IF FILE_STATUS = 0 THEN BEGIN

                    IF (PLAYER.INDEX <> FILE_KEY) THEN BEGIN

                        FILE_STATUS := $90;
                        END;

                    END;

                END;

            END;

        CLOSE (PLAYER_FILE);
        IF FILE_STATUS = 0 THEN FILE_STATUS := IORESULT;
        END;

    GET_PLAYER := FILE_STATUS;
    {$I+}
    END;

