FUNCTION MINUTES_USED: INTEGER;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   CALCULATE TIME USED IN THE GAME BY A CALLER                     *)
(*                                                                   *)
(*********************************************************************)
VAR TIME_USED:                                 REAL;
BEGIN

    IF (TIME > TIME_IN) THEN TIME_USED := (TIME - TIME_IN)
    ELSE TIME_USED := (864000.0 - TIME_IN) + TIME;
    MINUTES_USED := TRUNC (TIME_USED / 60.0);
    END;

