FUNCTION PARSE (INSTRING: STRING255; PARM: INTEGER): STRING255;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   PARSE EXTRACTS A PARTICULAR WORD OUT OF A STRING.  FOR EXAMPLE, *)
(*   GIVEN THE STRING, "THE QUICK BROWN FOX JUMPS OVER THE LAZY      *)
(*   DOG",  PARSE (2) WILL RETURN THE SUBSTRING "QUICK", AND         *)
(*   PARSE (8) WILL RETURN "LAZY", AND PARSE (10) WILL RETURN AN     *)
(*   EMPTY STRING.                                                   *)
(*                                                                   *)
(*********************************************************************)
VAR I:                                               INTEGER;
VAR ENDPOINT:                                        INTEGER;
VAR RESULT:                                          STRING255;
BEGIN

    RESULT := '';
    INSTRING := SQUISH (INSTRING) + ' ';
    IF PARM > 0 THEN FOR I := 1 TO PARM DO BEGIN

        IF (COPY (INSTRING, 1, 1) = '"') THEN BEGIN

            INSTRING := COPY (INSTRING, 2, LENGTH (INSTRING));
            RESULT := COPY (INSTRING, 1, POS ('"', INSTRING) - 1);
            INSTRING := SQUISH (COPY (INSTRING, POS ('"', INSTRING) + 1, LENGTH (INSTRING))) + ' ';
            END

        ELSE IF (COPY (INSTRING, 1, 1) = '''') THEN BEGIN

            INSTRING := COPY (INSTRING, 2, LENGTH (INSTRING));
            RESULT := COPY (INSTRING, 1, POS ('''', INSTRING) - 1);
            INSTRING := SQUISH (COPY (INSTRING, POS ('''', INSTRING) + 1, LENGTH (INSTRING))) + ' ';
            END

        ELSE BEGIN

            ENDPOINT := POS (' ', INSTRING);
            IF ENDPOINT = 0 THEN ENDPOINT := LENGTH (INSTRING);
            RESULT := COPY (INSTRING, 1, ENDPOINT - 1);
            INSTRING := SQUISH (COPY (INSTRING, ENDPOINT + 1, LENGTH (INSTRING))) + ' ';
            END;

        END;

    PARSE := RESULT;
    END;

