PROCEDURE PUTCHAR (C: CHAR);
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   SEND A CHARACTER TO THE USER SCREEN                             *)
(*                                                                   *)
(*********************************************************************)
VAR X:                       CHAR;
BEGIN

    IF REMOTE OR MODEM THEN BEGIN

        IF ECHO AND ASYNC_CARRIER THEN BEGIN

            IF C <> LF THEN BEGIN

                X := C;
                IF (UPCASE_ONLY) OR (MODEM) THEN X := UPCASE (C);
                ASYNC_SEND (X);
                END;

            IF CRLF THEN IF (C = CR) THEN ASYNC_SEND (LF);
            IF NULLS THEN IF (C = CR) THEN ASYNC_SEND (#0 + #0 + #0 + #0);
            END;

        WHILE KEYPRESSED DO BEGIN

            READ (KBD, X);
            WRITE (BELL);
            END;

        END;

    IF LOCAL OR CONFIG.SNOOP THEN BEGIN

        IF C = CR THEN WRITELN
        ELSE IF C <> #10 THEN BEGIN

            IF (C <> BELL) OR (LOCAL) THEN WRITE (C);
            END;

        END;

    END;

