FUNCTION SIZE_OF (FILENAME: STRING255): REAL;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*    RETURNS THE SIZE OF A FILE IN NUMBER OF RECORDS                *)
(*                                                                   *)
(*********************************************************************)
VAR ANY_FILE:                           FILE OF BYTE;
VAR SOMETHING:                          INTEGER;
VAR RECORDS:                            REAL;
BEGIN

    {$I-}
    ASSIGN (ANY_FILE, FILENAME);
    SOMETHING := IORESULT;
    RESET (ANY_FILE);
    IF IORESULT = 0 THEN RECORDS := LONGFILESIZE (ANY_FILE)
    ELSE RECORDS := 0;
    CLOSE (ANY_FILE);
    SOMETHING := IORESULT;
    {$I+}
    SIZE_OF := RECORDS;
    END;

