FUNCTION SQUISH (UPSTRING: STRING255): STRING255;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   REMOVE ALL LEADING AND TRAILING BLANKS                          *)
(*                                                                   *)
(*   ALSO REDUCE MULTIPLE BLANKS BETWEEN TEXT TO SINGLE BLANKS       *)
(*                                                                   *)
(*   BEFORE: "    THE     QUICK BROWN    FOX   "                     *)
(*   AFTER   "THE QUICK BROWN FOX"                                   *)
(*                                                                   *)
(*********************************************************************)
VAR I:                                 INTEGER;
VAR BLANKFLAG:                         BOOLEAN;
BEGIN

    IF LENGTH (UPSTRING) > 0 THEN BEGIN

        BLANKFLAG := TRUE;
        WHILE BLANKFLAG DO BEGIN

            IF LENGTH (UPSTRING) > 0 THEN BEGIN

                IF NOT (COPY (UPSTRING, 1, 1) = ' ') THEN BEGIN

                    BLANKFLAG := FALSE;
                    END

                ELSE BEGIN

                    IF LENGTH (UPSTRING) > 1 THEN BEGIN

                        UPSTRING := COPY (UPSTRING, 2, LENGTH (UPSTRING));
                        END

                    ELSE BEGIN

                        IF UPSTRING = ' ' THEN UPSTRING := '';
                        END;

                    END;

                END

            ELSE BLANKFLAG := FALSE;
            END;

        IF LENGTH (UPSTRING) > 0 THEN BEGIN

            UPSTRING := UPSTRING + ' ';
            WHILE POS ('  ', UPSTRING ) > 0 DO BEGIN

                UPSTRING := COPY (UPSTRING, 1, POS ('  ', UPSTRING)) +
                    COPY (UPSTRING, POS ('  ', UPSTRING) + 2, LENGTH (UPSTRING));

                END;

            BLANKFLAG := TRUE;
            WHILE BLANKFLAG DO BEGIN

                IF LENGTH (UPSTRING) > 0 THEN BEGIN

                    IF NOT (COPY (UPSTRING, LENGTH (UPSTRING), 1) = ' ') THEN BEGIN

                        BLANKFLAG := FALSE;
                        END

                    ELSE BEGIN

                        UPSTRING := COPY (UPSTRING, 1, LENGTH (UPSTRING) - 1);
                        END;

                    END;

                END;

            END;

        END;

    SQUISH := UPSTRING;
    END;

