PROCEDURE STATUS (FLAG: BOOLEAN);
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   DISPLAY A CALLER STATUS LINE AT THE BOTTOM OF THE SCREEN        *)
(*                                                                   *)
(*   PARAMETER TRUE WILL DISPLAY THE STATUS LINE                     *)
(*   PARAMETER FALSE WILL ERASE THE STATUS LINE                      *)
(*                                                                   *)
(*   THIS PROCEDURE REQUIRES THAT YOU COMPILE THE PROGRAM            *)
(*   WITH BORLAND'S TURBO PASCAL, IF YOU USE A DIFFERENT             *)
(*   PASCAL COMPILER, THIS FUNCTION MAY NOT WORK.                    *)
(*                                                                   *)
(*********************************************************************)
VAR X:                  INTEGER;
VAR Y:                  INTEGER;
BEGIN

    IF FLAG THEN BEGIN

        X := WHEREX;
        Y := WHEREY;
        WINDOW (1, 25, 80, 25);
        TEXTBACKGROUND (RED);
        TEXTCOLOR (WHITE);
        CLRSCR;
        WRITE (SQUISH (DOORNAME) + '    ');
        WRITE ('PLAYER "', NAMECASE (FIRST_NAME), ' ', NAMECASE (LAST_NAME), '"');
        WRITE ('    NODE ', NODE);
        IF NODE = 0 THEN WRITE ('    LOCAL')
        ELSE BEGIN

            WRITE ('    PORT ', COMPORT);
            WRITE ('    BAUD ', MODEM_SPEED);
            END;

        WINDOW (1, 1, 80, 24);
        TEXTBACKGROUND (BLUE);
        TEXTCOLOR (WHITE);
        GOTOXY (X, Y);
        END

    ELSE BEGIN

        WINDOW (1, 1, 80, 25);
        TEXTBACKGROUND (BLUE);
        TEXTCOLOR (WHITE);
        CLRSCR;
        END;

    END;

