PROCEDURE STOP;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   STOP THE PROGRAM                                                *)
(*                                                                   *)
(*   CALL THIS PROCEDURE WHENEVER YOU NEED TO HALT THE PROGRAM       *)
(*                                                                   *)
(*   DO NOT USE THE HALT COMMAND YOURSELF OR YOU WILL LEAVE          *)
(*   THE SERIAL PORT IN "LIMBO" AND MAY LOSE YOUR CALLER             *)
(*   WHEN HE RETURNS TO THE BBS.                                     *)
(*                                                                   *)
(*********************************************************************)
BEGIN

    IF LOCKED THEN CLEAN_UP;
    IF COMPORT > 0 THEN BEGIN

        ASYNC_CLEAR;
        ASYNC_CLOSE;
        END;

    TEXTBACKGROUND (BLACK);
    CLRSCR;
    HALT;
    END;

