FUNCTION ASK_NUMBER (QUESTION: STRING255; LOW, HIGH: REAL): REAL;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   PROMPT THE USER TO ENTER A REAL NUMBER BETWEEN THE SPECIFIED    *)
(*   BOUNDS                                                          *)
(*                                                                   *)
(*********************************************************************)
VAR RESPONSE:                                               STRING [16];
VAR HOLD_NUMBER:                                            REAL;
BEGIN

    HOLD_NUMBER := 0;
    RESPONSE := '';
    WHILE (LENGTH (RESPONSE) = 0) DO BEGIN

        WHILE (LENGTH (RESPONSE) = 0) DO BEGIN

            PUTSTRING (SQUISH (QUESTION) + ' ');
            RESPONSE := STUPCASE (DBLANK (GETSTRING (16, '')));
            PUTSTRING (CR);
            END;

        IF NUMERIC (RESPONSE) THEN BEGIN

            HOLD_NUMBER := STRNUM (RESPONSE);
            IF HOLD_NUMBER < LOW THEN BEGIN

                PUTSTRING ('Response must be greater than or equal to ' + FORMAT (NUMSTR (LOW)) + '!' + CR);
                RESPONSE := '';
                END

            ELSE IF HOLD_NUMBER > HIGH THEN BEGIN

                PUTSTRING ('Response must be less than or equal to ' + FORMAT (NUMSTR (HIGH)) + '!' + CR);
                RESPONSE := '';
                END

            END

        ELSE BEGIN

            PUTSTRING ('Response must be numeric!' + CR);
            RESPONSE := '';
            END;

        END;

    ASK_NUMBER := HOLD_NUMBER;
    END;

