FUNCTION ASK_TEXT (QUESTION: STRING255; L: INTEGER): STRING255;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   PROMPT THE USER TO INPUT TEXT WITHIN A SPECIFIED LENGTH LIMIT   *)
(*                                                                   *)
(*********************************************************************)
VAR RESPONSE:                                        STRING [80];
BEGIN

    RESPONSE := '';
    WHILE LENGTH (RESPONSE) = 0 DO BEGIN

        PUTSTRING (SQUISH (QUESTION) + ' ');
        RESPONSE := SQUISH (GETSTRING (L, ''));
        PUTSTRING (CR);
        END;

    ASK_TEXT := RESPONSE;
    END;

