PROCEDURE BULLETIN;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   GENERATE THE SCORES/STATUS BULLETIN                             *)
(*                                                                   *)
(*********************************************************************)
VAR WAIT_TEXT:                      STRING [255];
VAR BULLETIN_FILE:                  TEXT;
VAR IO_RESULT:                      INTEGER;
VAR LAST_INDEX:                     INTEGER;
VAR CLIMBING:                       BOOLEAN;
PROCEDURE DISPLAY_PLAYER;
BEGIN

    IF PLAYER.INDEX > 0 THEN BEGIN

        WRITELN (BULLETIN_FILE, PLAYER.FIRST_NAME + ' ' + PLAYER.LAST_NAME + ' HAS ' +
            FORMAT (NUMSTR (PLAYER.WIDGETS)) + ' WIDGETS');

        END;

    END;

BEGIN

    IF LENGTH (BULLETIN_NAME) > 0 THEN BEGIN

        ASSIGN (BULLETIN_FILE, BULLETIN_NAME);
        {$I-}
        REWRITE (BULLETIN_FILE);
        IO_RESULT := IORESULT;
        {$I+}
        IF IO_RESULT = 0 THEN BEGIN

            WRITELN (BULLETIN_FILE, SQUISH (DOORNAME) + ' PLAYER BULLETIN');
            WRITELN (BULLETIN_FILE);
            PLAYER_INDEX := 0;
            LAST_INDEX := 0;
            ABORT (GET_PLAYER (0));
            CLIMBING := TRUE;
            WHILE CLIMBING DO BEGIN

                LAST_INDEX := PLAYER.INDEX;
                ABORT (GET_PLAYER (PLAYER_INDEX));
                IF (LAST_INDEX = PLAYER.PARENT) OR (PLAYER_INDEX = 0) THEN BEGIN

                    IF (PLAYER.LEFT_CHILD > 0) THEN PLAYER_INDEX := PLAYER.LEFT_CHILD
                    ELSE BEGIN

                        DISPLAY_PLAYER;
                        IF (PLAYER.RIGHT_CHILD > 0) THEN PLAYER_INDEX := PLAYER.RIGHT_CHILD
                        ELSE IF (PLAYER.PARENT > 0) THEN PLAYER_INDEX := PLAYER.PARENT
                        ELSE CLIMBING := FALSE;
                        END;

                    END


                ELSE IF (LAST_INDEX = PLAYER.LEFT_CHILD) THEN BEGIN

                    DISPLAY_PLAYER;
                    IF (PLAYER.RIGHT_CHILD > 0) THEN PLAYER_INDEX := PLAYER.RIGHT_CHILD
                    ELSE IF (PLAYER.PARENT > 0) THEN PLAYER_INDEX := PLAYER.PARENT
                    ELSE CLIMBING := FALSE;
                    END

                ELSE IF (LAST_INDEX = PLAYER.RIGHT_CHILD) THEN BEGIN

                    IF (PLAYER.PARENT > 0) THEN PLAYER_INDEX := PLAYER.PARENT
                    ELSE CLIMBING := FALSE;
                    END;

                END;

            END

        ELSE BEGIN

            WRITELN (BELL, 'UNABLE TO OPEN BULLETIN FILE "', BULLETIN_NAME, '"!');
            DELAY (5000);
            END;

        {$I-}
        CLOSE (BULLETIN_FILE);
        IO_RESULT := IORESULT;
        {$I+}
        END;

    END;

