(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   GLOBAL VARIABLES USED THROUGHOUT THE PROGRAM WHICH WOULD BE     *)
(*   TOO CUMBERSOME TO CONSTANTLY PASS BACK AND FORTH AS FORMAL      *)
(*   PARAMETERS                                                      *)
(*                                                                   *)
(*********************************************************************)
VAR NODE:                           INTEGER;
VAR COMPORT:                        INTEGER;
VAR MODEM_SPEED:                    INTEGER;
VAR CHAR_COUNT:                     INTEGER;
VAR LINE_COUNT:                     INTEGER;
VAR SCREEN_WIDTH:                   INTEGER;
VAR SCREEN_LENGTH:                  INTEGER;
VAR BULLETIN_NAME:                  STRING [64];
VAR FILENAME:                       STRING [64];
VAR BBSNAME:                        STRING [32];
VAR FIRST_NAME:                     STRING [32];
VAR LAST_NAME:                      STRING [32];
VAR SYSOP_FIRST_NAME:               STRING [32];
VAR SYSOP_LAST_NAME:                STRING [32];
VAR TIMEOUT:                        BOOLEAN;
VAR REMOTE:                         BOOLEAN;
VAR MODEM:                          BOOLEAN;
VAR ECHO:                           BOOLEAN;
VAR UPCASE_ONLY:                    BOOLEAN;
VAR CRLF:                           BOOLEAN;
VAR NULLS:                          BOOLEAN;
VAR LOCAL:                          BOOLEAN;
VAR ONLINE:                         BOOLEAN;
VAR ANSI:                           BOOLEAN;
VAR SYSOP:                          BOOLEAN;
VAR LOCKED:                         BOOLEAN;
VAR TIME_IN:                        REAL;
VAR BOARD_MINUTES:                  INTEGER;
VAR DOOR_MINUTES:                   INTEGER;

{ ADD YOUR GLOBAL VARIABLES HERE }

