FUNCTION CONTINUE: BOOLEAN;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   PROMPT FOR "CONTINUE (Y/N)" WHEN PUTSTRING FILLS THE SCREEN     *)
(*   WITH TEXT                                                       *)
(*                                                                   *)
(*********************************************************************)
VAR FLAG:          BOOLEAN;
VAR RESPONSE:      STRING [1];
BEGIN

    FLAG := TRUE;
    IF (LINE_COUNT > (SCREEN_LENGTH - 5)) THEN BEGIN

        LINE_COUNT := 0;
        PUTSTRING (CR);
        FLAG := FALSE;
        RESPONSE := '';
        WHILE (LENGTH (RESPONSE) = 0) DO BEGIN

            PUTSTRING ('CONTINUE (Y/N)?: ');
            RESPONSE := STUPCASE (DBLANK (GETSTRING (1, 'Y')));
            PUTSTRING (CR);
            IF RESPONSE = 'Y' THEN FLAG := TRUE
            ELSE IF RESPONSE = 'N' THEN FLAG := FALSE
            ELSE RESPONSE := '';
            END;

        END;

    CONTINUE := FLAG;
    END;

