FUNCTION DATE: REAL;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   GET DATE FROM DOS IN REAL FORMAT YYYYMMDD.0                     *)
(*                                                                   *)
(*********************************************************************)
VAR RECPACK:   REGISTERS;
VAR MONTH:     INTEGER;
VAR DAY:       INTEGER;
VAR YEAR:      INTEGER;
VAR RESULT:    REAL;
BEGIN

    RECPACK.AX := $2A SHL 8;
    MSDOS (RECPACK);
    YEAR := RECPACK.CX;
    DAY := (RECPACK.DX MOD 256);
    MONTH := (RECPACK.DX SHR 8);
    RESULT := (YEAR * 10000.0) + (MONTH * 100.0) + (DAY * 1.0);
    DATE := RESULT;
    END;

