PROCEDURE FREE_LOCK (NODE: INTEGER);
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   FREE THE LOCK RECORD - USUALLY DONE BEFORE PROMPTING            *)
(*   THE USER FOR INPUT, AND WHEN EXITING THE PROGRAM                *)
(*                                                                   *)
(*********************************************************************)
VAR FILE_RESULT:           INTEGER;
BEGIN

    LOCKED := FALSE;
    ASSIGN (LOCK_FILE, 'LOCK' + FORMAT (NUMSTR (NODE)));
    {$I-}
    RESET (LOCK_FILE);
    FILE_RESULT := IORESULT;
    {$I+}
    IF FILE_RESULT = 1 THEN BEGIN

        REWRITE (LOCK_FILE);
        END

    ELSE BEGIN

        SEEK (LOCK_FILE, 0);
        READ (LOCK_FILE, LOCK);
        END;

    LOCK.INUSE := FALSE;
    LOCK.INDEX := NODE;
    SEEK (LOCK_FILE, 0);
    WRITE (LOCK_FILE, LOCK);
    {$I-}
    CLOSE (LOCK_FILE);
    FILE_RESULT := IORESULT;
    {$I+}
    END;

