FUNCTION GET_CONFIG (FILE_KEY: INTEGER): INTEGER;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   READ A CONFIG RECORD FROM THE CONFIG FILE                       *)
(*                                                                   *)
(*********************************************************************)
VAR FILE_STATUS: INTEGER;
VAR I: INTEGER;
VAR FILENAME:    STRING [255];
BEGIN

    FILENAME := CONFIGNAME;
    {$I-}
    RESET (CONFIG_FILE);
    FILE_STATUS := IORESULT;
    IF FILE_STATUS = 0 THEN BEGIN

        CONFIG_SIZE := FILESIZE (CONFIG_FILE);
        IF FILE_KEY >= CONFIG_SIZE THEN FILE_STATUS := 6
        ELSE BEGIN

            SEEK (CONFIG_FILE, FILE_KEY);
            FILE_STATUS := IORESULT;
            IF FILE_STATUS = 0 THEN BEGIN

                READ (CONFIG_FILE, CONFIG);
                FILE_STATUS := IORESULT;
                IF FILE_STATUS = 0 THEN BEGIN

                    IF (CONFIG.INDEX <> FILE_KEY) THEN BEGIN

                        FILE_STATUS := $90;
                        END;

                    END;

                END;

            END;

        CLOSE (CONFIG_FILE);
        IF FILE_STATUS = 0 THEN FILE_STATUS := IORESULT;
        END;

    GET_CONFIG := FILE_STATUS;
    {$I+}

    END;

