FUNCTION GETCHAR (VAR C: CHAR): BOOLEAN;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   INPUT A SINGLE CHARACTER FROM THE USER                          *)
(*                                                                   *)
(*********************************************************************)
VAR VALID_CHAR:                 BOOLEAN;
VAR X:                          CHAR;
BEGIN

    VALID_CHAR := FALSE;
    IF REMOTE OR MODEM THEN BEGIN

        IF ASYNC_RECEIVE (C) THEN BEGIN

            C := CHR (ORD (C) AND 127);
            VALID_CHAR := TRUE;
            END;

        WHILE KEYPRESSED DO BEGIN

            READ (KBD, X);
            WRITE (BELL);
            END;

        END

    ELSE IF (LOCAL) AND (NOT (VALID_CHAR)) THEN BEGIN

        IF KEYPRESSED THEN BEGIN

            VALID_CHAR := TRUE;
            READ (KBD, C);
            IF C = #27 THEN BEGIN

                WHILE KEYPRESSED DO READ (KBD, X);
                C := #0;
                VALID_CHAR := FALSE;
                WRITE (BELL);
                END;

            END;

        END;

    GETCHAR := VALID_CHAR;
    END;

