FUNCTION NAMECASE (UPSTRING: STRING255): STRING255;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*  CAPITALIZE THE PLAYER'S NAME PROPERLY, BUT ONLY IF THE           *)
(*  NAME IS ALL THE SAME CASE.  IF THE NAME IS CURRENTLY             *)
(*  MIXED CASE, ASSUME THAT THE PLAYER WANTS IT THAT WAY.            *)
(*                                                                   *)
(*********************************************************************)
VAR I:                                   INTEGER;
VAR UPFLAG:                              BOOLEAN;
VAR DOWNFLAG:                            BOOLEAN;
BEGIN

    UPFLAG := FALSE;
    DOWNFLAG := FALSE;
    FOR I := 1 TO LENGTH (UPSTRING) DO BEGIN

        IF (ORD (UPSTRING [I]) > 64) AND (ORD (UPSTRING [I]) < 91) THEN BEGIN

            UPFLAG := TRUE;
            END;

        IF (ORD (UPSTRING [I]) > 96) AND (ORD (UPSTRING [I]) < 123) THEN BEGIN

            DOWNFLAG := TRUE;
            END;

        END;

    IF ((UPFLAG) AND (NOT (DOWNFLAG)))
    OR ((DOWNFLAG) AND (NOT (UPFLAG))) THEN BEGIN

        FOR I := 1 TO LENGTH (UPSTRING) DO BEGIN

            IF UPSTRING [I] = 'A' THEN UPSTRING [I] := 'a';
            IF UPSTRING [I] = 'B' THEN UPSTRING [I] := 'b';
            IF UPSTRING [I] = 'C' THEN UPSTRING [I] := 'c';
            IF UPSTRING [I] = 'D' THEN UPSTRING [I] := 'd';
            IF UPSTRING [I] = 'E' THEN UPSTRING [I] := 'e';
            IF UPSTRING [I] = 'F' THEN UPSTRING [I] := 'f';
            IF UPSTRING [I] = 'G' THEN UPSTRING [I] := 'g';
            IF UPSTRING [I] = 'H' THEN UPSTRING [I] := 'h';
            IF UPSTRING [I] = 'I' THEN UPSTRING [I] := 'i';
            IF UPSTRING [I] = 'J' THEN UPSTRING [I] := 'j';
            IF UPSTRING [I] = 'K' THEN UPSTRING [I] := 'k';
            IF UPSTRING [I] = 'L' THEN UPSTRING [I] := 'l';
            IF UPSTRING [I] = 'M' THEN UPSTRING [I] := 'm';
            IF UPSTRING [I] = 'N' THEN UPSTRING [I] := 'n';
            IF UPSTRING [I] = 'O' THEN UPSTRING [I] := 'o';
            IF UPSTRING [I] = 'P' THEN UPSTRING [I] := 'p';
            IF UPSTRING [I] = 'Q' THEN UPSTRING [I] := 'q';
            IF UPSTRING [I] = 'R' THEN UPSTRING [I] := 'r';
            IF UPSTRING [I] = 'S' THEN UPSTRING [I] := 's';
            IF UPSTRING [I] = 'T' THEN UPSTRING [I] := 't';
            IF UPSTRING [I] = 'U' THEN UPSTRING [I] := 'u';
            IF UPSTRING [I] = 'V' THEN UPSTRING [I] := 'v';
            IF UPSTRING [I] = 'W' THEN UPSTRING [I] := 'w';
            IF UPSTRING [I] = 'X' THEN UPSTRING [I] := 'x';
            IF UPSTRING [I] = 'Y' THEN UPSTRING [I] := 'y';
            IF UPSTRING [I] = 'Z' THEN UPSTRING [I] := 'z';
            IF I = 1 THEN BEGIN

                UPSTRING [I] := UPCASE (UPSTRING [I]);
                END;

            IF I > 1 THEN BEGIN

                IF UPSTRING [I - 1] = ' ' THEN BEGIN

                    UPSTRING [I] := UPCASE (UPSTRING [I]);
                    END;

                END;

            END;

        END;

    NAMECASE := UPSTRING;
    END;

