FUNCTION PUT_CONFIG (FILE_KEY: INTEGER): INTEGER;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   WRITE A CONFIG RECORD TO THE CONFIG FILE                        *)
(*                                                                   *)
(*********************************************************************)
VAR FILE_STATUS: INTEGER;
VAR I: INTEGER;
VAR FILENAME:   STRING [255];
BEGIN

    {$I-}
    FILENAME := CONFIGNAME;
    IF FILE_KEY < 0 THEN FILE_STATUS := 7
    ELSE BEGIN

        RESET (CONFIG_FILE);
        FILE_STATUS := IORESULT;
        IF FILE_STATUS = 0 THEN BEGIN

            IF FILE_KEY > FILESIZE (CONFIG_FILE) THEN FILE_STATUS := 6
            ELSE BEGIN

                SEEK (CONFIG_FILE, FILE_KEY);
                FILE_STATUS := IORESULT;
                IF FILE_STATUS = 0 THEN BEGIN

                    CONFIG.INDEX := FILE_KEY;
                    WRITE (CONFIG_FILE, CONFIG);
                    FILE_STATUS := IORESULT;
                    END;

                END;

            CONFIG_SIZE := FILESIZE (CONFIG_FILE);
            CLOSE (CONFIG_FILE);
            IF FILE_STATUS = 0 THEN FILE_STATUS := IORESULT;
            END;

        END;

    PUT_CONFIG := FILE_STATUS;
    {$I+}
    END;

