FUNCTION PUT_PLAYER (FILE_KEY: INTEGER): INTEGER;
(*********************************************************************)
(*                                                                   *)
(*   THIS MODULE IS A COMPONENT OF DOOR SKELETON V1.0                *)
(*   COPYRIGHT (C) 1992 BERNIE GALLAGHER                             *)
(*                                                                   *)
(*********************************************************************)
(*                                                                   *)
(*   WRITE A PLAYER RECORD TO THE PLAYER FILE                        *)
(*                                                                   *)
(*********************************************************************)
VAR FILE_STATUS: INTEGER;
VAR I: INTEGER;
BEGIN

    {$I-}
    FILENAME := PLAYERNAME;
    IF FILE_KEY < 0 THEN FILE_STATUS := 7
    ELSE BEGIN

        RESET (PLAYER_FILE);
        FILE_STATUS := IORESULT;
        IF FILE_STATUS = 0 THEN BEGIN

            IF FILE_KEY > FILESIZE (PLAYER_FILE) THEN FILE_STATUS := 6
            ELSE BEGIN

                SEEK (PLAYER_FILE, FILE_KEY);
                FILE_STATUS := IORESULT;
                IF FILE_STATUS = 0 THEN BEGIN

                    PLAYER.INDEX := FILE_KEY;
                    WRITE (PLAYER_FILE, PLAYER);
                    FILE_STATUS := IORESULT;
                    END;

                END;

            PLAYER_SIZE := FILESIZE (PLAYER_FILE);
            CLOSE (PLAYER_FILE);
            IF FILE_STATUS = 0 THEN FILE_STATUS := IORESULT;
            END;

        END;

    PUT_PLAYER := FILE_STATUS;
    {$I+}
    END;

